%define major 3

Name: pcmanfm-qt
Version: 0.12.0
Release: %mkrel 1
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1: pcman_settings.conf
Summary: File manager for the LXQt desktop
URL: http://lxqt.org/
License: GPLv2+
Group: Graphical desktop/LXQT
#-----------------------------------------
BuildRequires: 	cmake
BuildRequires: 	doxygen
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}qt5widgets-devel
BuildRequires:  %{_lib}menu-cache-devel
BuildRequires:  %{_lib}qt5xml-devel
BuildRequires:  %{_lib}qt5x11extras-devel
BuildRequires:  %{_lib}qt5dbus-devel
BuildRequires:  %{_lib}fm-devel
BuildRequires:  %{_lib}lxqt-devel >= 0.12.0
BuildRequires:  %{_lib}qt5help-devel
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libfm-qt-devel >= 0.12.0
BuildRequires:  lxqt-build-tools >= 0.4.0
#----------- git need for translation ----
BuildRequires:	git
#-----------------------------------------
Requires:	libfm-qt >= %{version}
Requires:	gksu

%description
File manager for the LXQt desktop

%package i10n
Summary:	Internationalization files for %{name}
Group:		Graphical desktop/LXQT
Requires:	%{name}

%description i10n
Internationalization files for %{name}

%prep
%setup -q %{name}-%{version}

# change desktop file name and comment to distinguish it from pcmanfm
sed -i 's/File Manager/QT File Manager/' pcmanfm/pcmanfm-qt.desktop.in

%cmake_qt5 -DBUILD_DOCUMENTATION=ON -DPULL_TRANSLATIONS=Yes

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --add-category="FileTools;X-MandrivaLinux-System-FileTools;" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

install -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/xdg/pcmanfm-qt/lxqt/settings.conf


%files
%doc %{_defaultdocdir}/%{name}
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/lxqt-desktop.desktop
%{_sysconfdir}/xdg/pcmanfm-qt/lxqt/settings.conf
%{_datadir}/applications/*.desktop
%_mandir/man1/pcmanfm-qt.1.*

%files i10n
%{_datadir}/%{name}/translations/%{name}_*.qm


%changelog
* Tue Oct 24 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update

* Mon Apr 10 2017 ghostbunny <ghostbunny at gmx dot de> 0.11.3-1pclos2017
- 0.11.3

* Mon Jan 30 2017 bb <bb> 0.11.1-3pclos2017
- adjust desktop file
* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.11.1-2pclos2017
- rebuild with latest liblxqt-devel

* Wed Dec 21 2016 daniel <meisssw01 at gmail.com> 0.11.2-1pclos2017
- update

* Thu Dec 08 2016 daniel <meisssw01 at gmail.com> 0.11.1-3pclos2017
- add libfm-qt as required libary

* Sun Nov 13 2016 daniel <meisssw01 at gmail.com> 0.11.1-2pclos2016
- add git for translation files and put it in a seperate package

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.1-1pclos2016
- 0.11.1

* Tue Apr 05 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.0-1pclos2016
- 0.11.0
- add BR desktop-file-utils, libfm-qt-devel
- remove devel package and libfm-qt files they are included in the new libfm-qt packages

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-2pclos2016
- rebuild for 32bit

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- import into pclos
